summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2014-07-06 18:04:32 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2014-07-06 18:04:32 +0200
commita7f89980e5b3f4b9a74c70dbc5ffe8aabd28be28 (patch)
tree41c4deec1fdfbafd7821b4ca7a9772ac0abd92f5 /debian/postinst
Imported Upstream version 2.9.3upstream/2.9.3
Diffstat (limited to 'debian/postinst')
-rwxr-xr-xdebian/postinst41
1 files changed, 41 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000..399957f
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Debian postinstall script
+#
+# see: dh_installdeb(1)
+set -e
+case "$1" in
+ configure)
+ sbindir=/usr/bin
+ vardir=/var/lib/ipmiutil
+ sensorout=$vardir/sensor_out.txt
+
+ mkdir -p $vardir
+
+ # Run some ipmiutil command to see if any IPMI interface works.
+ IPMIcmd=true
+ $sbindir/ipmiutil sel -v >/dev/null 2>&1 || IPMIcmd=false
+
+ # If IPMIcmd is still true, then the IPMI command was successful, and IPMI is enabled locally.
+ if $IPMIcmd ; then
+ # Capture a snapshot of IPMI sensor data once now for later reuse.
+ if [ ! -f $sensorout ]; then
+ $sbindir/ipmiutil sensor -q >$sensorout
+ fi
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0